Subject: Re: bug#28605: 26.0.60; Part of leftmost character hidden

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 09 Oct 2017 10:25:40 +0200

martin rudalics <[email-masked]> writes:

>> If I remember correctly, in some places it looked at the GDK_SCALE
>> environment variable (which is normally not set on most systems) and in
>> other places it queried GTK for what the scaling is, leading to general
>> confusion of what the frame size was supposed to be.
>
> OK.  Are we sure that we now detect any scaling if present?  Or should
> we allow the user (who might know better) to explicitly supply a scaling
> factor which overrides a return value of 0 (?) or 1 from the above.

By "supply", do you mean setting the GDK_SCALE variable?  I think that
the GTK function will pass us the right scaling factor in that case, if
I remember correctly.  On modern machines, the user supplies the scaling
by using a GTK tool that doesn't set GDK_SCALE, and the GTK function
still returns the correct scaling.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no